Subject: bug#51734: 29.0.50; got slow

From: Ken Brown <[email-masked]>
Date: Thu, 11 Nov 2021 13:11:23 -0500

On 11/11/2021 9:15 AM, Eli Zaretskii wrote:
>> From: Katsumi Yamaoka <[email-masked]>
>> On Thu, 11 Nov 2021 10:09:30 +0200, Eli Zaretskii wrote:
>>>> Probably what I should do could be bisecting the recent commits.
>>> That'd be best, if you can.  Thanks.
>>
>> I did it and found the revision that causes this problem on at
>> least Cygwin-64.  That is d5bb053.
>
> That's strange: that changeset changed just the docs, and the only
> changes in code are in xwidget.c (which your build shouldn't compile)
> and in keyboard.c, where the changes just remove redundant braces, and
> again mostly in places that are built only when xwidgets are
> supported.

I can confirm the extreme slowness on my 64-bit Cygwin system, but I don't agree 
with the bisection.  I still see the slowness in d5bb053^.

Ken